@import "../../styles/variables";

zs-rich-text-area {
  ul>li {
    list-style-type: disc;
  }

  ol>li {
    list-style-type: decimal;
  }
}

.rich-text-component.fullscreen {
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 9;
  background: white;

  .rich-text-toolbar,
  .ql-container {
    border: none
  }

  .rich-text-toolbar {
    border-bottom: 1px solid #ddd;
  }

  .ql-container {
    height: calc(100% - 50px);
    overflow: auto;
  }
}

.rich-text-toolbar {
  width: 100%;
  padding: 1px;
  display: inline-block;
  padding: .5em;
  border: 1px solid $form-border-color;
  border-bottom: none;
  background: #f7f7f7;

  .rich-text-toolbar-item {
    display: inline-block;
    position: relative;

    &.unsupported {
      zs-dropdown-menu>button {
        position: relative;
      }
    }
  }

  .rich-text-toolbar-button {
    background: none;
    padding: 0.2em 0.5em;
    border: 0;
    border-radius: 100%;
    margin-right: .1em;
    //background: white;
    font-size: 1.2rem;

    &.ql-active,
    &.ql-active:hover {
      background-color: #ddd;
    }

    &:hover {
      background: #eee;
    }

    svg {
      display: none;
    }
  }

}

.rich-text-editor {

  border: 1px solid $form-border-color;

  >.ql-editor {
    min-height: 200px;
    position: relative;
  }

  &.ql-container {
    font-family: Roboto, sans-serif;
    font-size: 1rem;
  }

  a {
    color: lighten($primary-color, 15%);
  }

  .ql-clipboard {
    left: -100000px;
    position: absolute;
    top: 50%;
  }

  .ql-hidden {
    visibility: hidden;
  }

  .ql-tooltip {
    position: absolute;
    white-space: nowrap;
    background-color: #fff;
    border: 1px solid #000;
    box-sizing: border-box;
    z-index: 2000;
    padding: 5px 10px;
    margin-top: 50px;

    &.ql-editing {
      input {
        display: inline-block;
        vertical-align: middle;
      }

      .ql-action::before {
        content: 'Invoegen';
      }
    }

    a {
      color: $primary-color;
    }

    input {
      display: none;
      width: auto
    }

    .ql-action::before {
      content: 'Bewerken';
    }

    .ql-remove::before {
      content: 'Verwijderen'
    }

  }

  .ql-preview {
    display: inline-block;
    width: auto;

    &::after {
      content: ' - ';
    }
  }

  .ql-input {
    display: none;
    width: auto;
  }

  .ql-action,
  .ql-remove {
    display: inline-block;
    margin: 0 5px;
    vertical-align: middle;
  }


  .ql-editing {
    .ql-input {
      display: inline-block;
    }

    .ql-preview {
      display: none;
    }

    .title {
      display: none;
    }
  }

  .ql-action,
  .ql-remove {
    cursor: pointer;
  }

  .ql-editor,
  &.dummy {
    line-height: 1.42;
    padding: 12px 15px;
    min-height: 200px;
    cursor: text;
    white-space: pre-wrap;
    word-wrap: break-word;

    ul,
    ol {
      margin: 0 0 0 2em;
    }

    p,
    h1,
    h2,
    h3,
    h4,
    h5,
    h6 {
      margin: 0;
    }
  }

  &.dummy {
    position: relative;
    white-space: normal;

    zs-spinner {
      position: absolute;
      top: 50%;
      left: 50%;
      margin-top: -15px;
      margin-left: -15px;
    }
  }

}

.rich-text-toolbar-dropdown>button>zs-icon::before {
  background: red !important;
  display: block;
  content: mdi('play-circle');
}

.rich-text-toolbar-dropdown.compact {
  >.popup-menu-list {
    right: auto;
    position: absolute;
    width: auto;

    .popup-menu-list-item-button {
      white-space: nowrap;
    }
  }
}

.form-field-control-wrapper {
  &[data-inherits="rich-text"] {
    .html-truncate-wrapper {

      ul,
      ol {
        margin: 0 0 0 2em;
      }

      ul,
      ul li {
        list-style-type: disc;
      }

      ol,
      ol li {
        list-style-type: decimal;
      }

      div p,
      h1,
      h2,
      h3,
      h4,
      h5,
      h6 {
        margin: 0;
      }
    }
  }
}